> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 外链概况

> 获取域名或页面的外链总体数据。

# 外链概况

用一行数据看清一个站点的外链全貌：权威评分、外链总数、引用域名数和根域名数、引用 IP 与子网数、nofollow 占比、失效链接、垃圾分数，以及首次发现外链的时间。附带的分布数据告诉你外链主要来自哪些顶级域名和国家、以什么链接类型和 rel 属性为主、出现在页面的什么位置。不管是看潜在客户的网站、竞品还是自己的域名，做深入外链审计前先跑一遍它就心里有数。

```json theme={"dark"}
{
  "target": "notion.so"
}
```

通过 target 提供域名、子域名或页面链接。target 为域名时包含其子域名。每次请求计 10 积分，返回一行。

## 标准结果字段

任务结果使用下方稳定的 SocQ 字段。系统会统一来源特有的字段名和格式，但不会推断或补充来源未提供的数据。如需缩小返回字段集合，MCP 查询使用 `fields`，Typed 工具使用 `_result_fields`，CLI 使用 `--result-fields`。声明字段的值为 `null` 时仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 被分析的目标，作为标识。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 目标的首页地址；分析单个页面时为该页面地址。 |
| `published_at` | `string` | 是 | 源内容的发布时间（如可获得），使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `target` | `string` | 是 | 被分析的域名、子域名或页面。 |
| `rank` | `integer` | 是 | 基于外链情况的权威分，取值 0 到 1000，越高越强。 |
| `backlinks_count` | `integer` | 是 | 指向目标的有效外链数量。 |
| `referring_domains_count` | `integer` | 是 | 链接到目标的域名数量。 |
| `referring_main_domains_count` | `integer` | 是 | 链接到目标的根域名数量，子域名合并计算。 |
| `referring_pages_count` | `integer` | 是 | 链接到目标的页面数量。 |
| `referring_ips_count` | `integer` | 是 | 链接域名所在的 IP 地址数量。 |
| `referring_subnets_count` | `integer` | 是 | 链接域名所在的子网数量。 |
| `nofollow_referring_domains_count` | `integer` | 是 | 所有链接均为 nofollow 的链接域名数量。 |
| `nofollow_referring_pages_count` | `integer` | 是 | 链接为 nofollow 的链接页面数量。 |
| `broken_backlinks_count` | `integer` | 是 | 指向目标上已失效页面的外链数量。 |
| `broken_pages_count` | `integer` | 是 | 目标上有外链指向但已无法访问的页面数量。 |
| `crawled_pages_count` | `integer` | 是 | 在目标上抓取到的页面数量。 |
| `spam_score` | `integer` | 是 | 垃圾分数，取值 0 到 100，越高说明垃圾特征越多。 |
| `first_seen_at` | `string` | 是 | 首次发现指向目标的外链的时间，使用 ISO 8601 格式。 |
| `referring_tlds` | `array<object>` | 是 | 链接站点的顶级域名分布，按数量从多到少。 |
| `referring_tlds.name` | `string` | 是 | 顶级域名，例如 `com`。 |
| `referring_tlds.count` | `integer` | 是 | 该分组中的外链数量。 |
| `referring_countries` | `array<object>` | 是 | 链接站点所在国家的分布，按数量从多到少。 |
| `referring_countries.name` | `string` | 是 | 两位国家代码；未知时为空。 |
| `referring_countries.count` | `integer` | 是 | 该分组中的外链数量。 |
| `link_types` | `array<object>` | 是 | 指向目标的链接类型分布，按数量从多到少。 |
| `link_types.name` | `string` | 是 | 链接类型，例如 `anchor`、`image` 或 `redirect`。 |
| `link_types.count` | `integer` | 是 | 该分组中的外链数量。 |
| `link_attributes` | `array<object>` | 是 | 链接上 rel 属性的分布，按数量从多到少。 |
| `link_attributes.name` | `string` | 是 | rel 属性，例如 `nofollow` 或 `sponsored`。 |
| `link_attributes.count` | `integer` | 是 | 该分组中的外链数量。 |
| `platform_types` | `array<object>` | 是 | 外链来源站点类型的分布，按数量从多到少。 |
| `platform_types.name` | `string` | 是 | 站点类型，例如 `blogs`、`news` 或 `ecommerce`。 |
| `platform_types.count` | `integer` | 是 | 该分组中的外链数量。 |
| `semantic_locations` | `array<object>` | 是 | 外链在来源页面中所处位置的分布，按数量从多到少。 |
| `semantic_locations.name` | `string` | 是 | 页面区域，例如 `article`、`nav` 或 `footer`；未知时为空。 |
| `semantic_locations.count` | `integer` | 是 | 该分组中的外链数量。 |

以下示例展示任务完成后的响应格式，具体数据以实际查询结果为准。

## 任务完成响应

```json theme={"dark"}
{
  "code": 200,
  "data": {
    "task_id": "example-seo-backlinks-summary",
    "status": "succeeded",
    "public_id": "seo/backlinks-summary",
    "result_count": 1,
    "credits_amount": 10,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "schema_id": "backlink-summary",
      "schema_version": "1.0",
      "items": [
        {
          "id": "notion.so",
          "platform": "seo",
          "resource": "backlinks-summary",
          "type": "backlink-summary",
          "url": "https://notion.so",
          "published_at": null,
          "collected_at": "2026-11-17T14:43:17.043730Z",
          "target": "notion.so",
          "rank": 634,
          "backlinks_count": 10052197,
          "referring_domains_count": 128955,
          "referring_main_domains_count": 110833,
          "referring_pages_count": 8441052,
          "referring_ips_count": 56804,
          "referring_subnets_count": 26776,
          "nofollow_referring_domains_count": 20463,
          "nofollow_referring_pages_count": 988513,
          "broken_backlinks_count": 1523327,
          "broken_pages_count": 59408,
          "crawled_pages_count": 292556,
          "spam_score": 6,
          "first_seen_at": "2019-01-15T23:01:18Z",
          "referring_tlds": [
            {
              "name": "com",
              "count": 4264250
            },
            {
              "name": "ai",
              "count": 757560
            },
            {
              "name": "me",
              "count": 580658
            },
            {
              "name": "io",
              "count": 418450
            },
            {
              "name": "fm",
              "count": 332609
            }
          ],
          "referring_countries": [
            {
              "name": null,
              "count": 1636733
            },
            {
              "name": "US",
              "count": 963284
            },
            {
              "name": "KR",
              "count": 768685
            },
            {
              "name": "AI",
              "count": 758317
            },
            {
              "name": "JP",
              "count": 757299
            }
          ],
          "link_types": [
            {
              "name": "anchor",
              "count": 8271627
            },
            {
              "name": "image",
              "count": 154183
            },
            {
              "name": "redirect",
              "count": 14476
            },
            {
              "name": "canonical",
              "count": 758
            },
            {
              "name": "alternate",
              "count": 8
            }
          ],
          "link_attributes": [
            {
              "name": "noopener",
              "count": 2870776
            },
            {
              "name": "noreferrer",
              "count": 2844737
            },
            {
              "name": "nofollow",
              "count": 988041
            },
            {
              "name": "external",
              "count": 78186
            },
            {
              "name": "ugc",
              "count": 48080
            }
          ],
          "platform_types": [
            {
              "name": "unknown",
              "count": 4345396
            },
            {
              "name": "organization",
              "count": 2886490
            },
            {
              "name": "ecommerce",
              "count": 874414
            },
            {
              "name": "blogs",
              "count": 568199
            },
            {
              "name": "cms",
              "count": 550189
            }
          ],
          "semantic_locations": [
            {
              "name": "footer",
              "count": 2917529
            },
            {
              "name": null,
              "count": 2484346
            },
            {
              "name": "section",
              "count": 1343288
            },
            {
              "name": "nav",
              "count": 904026
            },
            {
              "name": "article",
              "count": 375205
            }
          ]
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/seo/backlinks-summary
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-87892a6484c2
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/seo/backlinks-summary:
    post:
      tags:
        - seo
      summary: 外链概况
      description: 获取域名或页面的外链总体数据。
      operationId: socq_seo_backlinks_summary
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                callback_url:
                  type: string
                  format: uri
                  description: 可选的任务完成回调 URL。
                target:
                  type: string
                  minLength: 1
                  description: 域名、子域名或页面链接，例如 example.com 或 https://example.com/blog/。
              required:
                - target
              description: 通过 target 提供域名、子域名或页面链接。target 为域名时包含其子域名。每次请求计 10 积分，返回一行。
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.